/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { StandardDeviationIndicatorStrategy } from "./StandardDeviationIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-angular-core";
/**
 * @hidden
 */
export let StandardDeviationIndicator = /*@__PURE__*/ (() => {
    class StandardDeviationIndicator extends StrategyBasedIndicator {
        bk() {
            return new StandardDeviationIndicator();
        }
        get_ab5() {
            return new StandardDeviationIndicatorStrategy();
        }
        get ab5() {
            return this.get_ab5();
        }
        get_aci() {
            return StandardDeviationIndicator.$;
        }
        get aci() {
            return this.get_aci();
        }
        get acq() {
            return typeGetValue(this.c(StandardDeviationIndicator.acr));
        }
        set acq(a) {
            this.h(StandardDeviationIndicator.acr, a);
        }
        acb() {
            return this.acq;
        }
        ack(a) {
            this.acq = a;
        }
    }
    StandardDeviationIndicator.$t = markType(StandardDeviationIndicator, 'StandardDeviationIndicator', StrategyBasedIndicator.$);
    StandardDeviationIndicator.acr = StrategyBasedIndicator.acn(20, StandardDeviationIndicator.$);
    return StandardDeviationIndicator;
})();
